Subject: bug#11127: 24.0.94; [PATCH] Tutorial breaks with modified key bindings

From: Glenn Morris <[email-masked]>
Date: Mon, 09 Apr 2012 16:50:07 -0400

"Aaron S. Hawley" wrote:

>> Also, I think there should probably some way in a dir-locals file to say
>> "these settings should only be applied to buffers with files".
>
> I believe it is the case already that dir-locals only applies to
> buffers associated with files.  It's only because tutorial.el calls
> `hack-local-variables' that it applies here.

It also applies to some file-less buffers, such as vc-dir.
This is by design, such buffers manually hack the dir-locals.